Fichier cups/PPD pour imprimante Epson


#1

Bonsoir,

J’ai une imprimante Epson (xp-445) que j’essaie de connecter à ma rpi; après une recherchesur ce forum, j’ai suivi le post:

CUPS trouve bien la série (EPSON XP-442 445 Series), mais pas le modèle - je ne la vois pas non plus sur (donc pas de PPD):
http://www.openprinting.org/drivers

Pas question d’installer les fichiers du constructeurs (debian 8/9 ou autre).

Bizarre qu’il trouve las série, mais pas le modèle; je n’arrive pas à voir s’il y a un modèle générique.

Quelqu’un a-t’il déjà rencontré ce problème?

Merci


#2

Salut,

Je viens de faire le test.

Premier test = je n’ai rien fait comme install en laissant l’imprimante à sa place branché au Mac du salon car elle est partagée pour tout le réseau (mes postes Linux impriment via le réseau).
Impression direct sans souci car elle apparait immédiatement et ça utilise les pilotes du Mac.

Deuxième test = installation de CUPS.
Elle est détectée avec le bon nom, mais pas le modèle.
J’ai sélectionné le modèle ML-85 (alors que j’ai une CLX-3300) car c’est le premier nom de la liste pour les Samsung.
L’impression est faite, mais c’est un simple fichier txt (un script python)
Tu peux donc tester des modèles différents en croisant les doigts (même si ça ne sert à rien de croiser les doigts)

Je n’ai pas testé les pilotes Linux Samsung (ils sont sur le site HP qui gère les imprimantes Samsung).

_Question en aparté : _
Pourquoi ne pas tenter les pilotes du constructeur ?

Edit : merci pour le lien car la mienne y est http://www.openprinting.org/printer/Samsung/Samsung-CLX-3300 et j’imprime en couleur en connexion locale :slight_smile:


#3

J’ai lu quelque part qu’il était déconseillé d’installer les .deb … je vais voir si je peux compiler les codes sources (s’ils existent)


#4

Yo,

Raspbian = famille Debian comme Debian/Ubuntu/LinuxMint/Triskell/HandyLinux/DFlinux/…

Donc c’est du .deb (pour DEBian)

Donc on peut installer des paquets .deb à ma connaissance.
D’ailleurs, si tu veux installer RaspiSMS sur ton Rpi, tu part d’un .deb :wink:

Mais je peux me tromper.

++